petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCMGSetInterpolation

Sets the function to be used to calculate the interpolation from l-1 to the lth level

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGSetInterpolation(PC pc,PetscInt l,Mat mat)

Logically Collective on PC and Mat Many br

### Input Parameters

| pc | - the multigrid context Many br
| mat | - the interpolation operator Many br
| l | - the level (0 is coarsest) to supply [do not supply 0] Many br

Many br

### Notes

Usually this is the same matrix used also to set the restriction Many brfor the same level. Many br

One can pass in the interpolation matrix or its transpose; PETSc figures Many brout from the matrix size which one it is. Many br

### Keywords

multigrid, set, interpolate, level

### See Also

PCMGSetRestriction()

Level:advanced
Location:src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html